<?php

/**
 * Register the Settings form for the Excerpt.
 */
FLBuilder::register_settings_form('bb_excerpt_form', array(
  'title' => __('Edit the excerpt', 'excerpt-editor-for-beaver-builder'),
  'tabs' => array(
    'general' => array( // Tab
      'title' => __('General', 'fl-builder'), // Tab title
      'sections' => array( // Tab Sections
        'general' => array( // Section
          'title' => '', // Section Title
          'fields' => array( // Section Fields
            'excerpt' => array( // fields
              'type' => 'textarea',
              'label' => __('excerpt content', 'excerpt-editor-for-beaver-builder'),
              'placeholder' => __('If empty, the automatic generated excerpt will used', 'excerpt-editor-for-beaver-builder'),
              'rows' => '6'
            ),
            'currentexcerpt' => array(
              'type' => 'showexcerpt',
              'label' => __('Default excerpt', 'excerpt-editor-for-beaver-builder'),
            ),
          ),
        ),
      )
    )
  )
));